Create a time entry

This endpoint can be used to create a time entry. It is mandatory to provide values for these three properties: date, minutes and the source of the time entry, which can be either one of activityName, task, projectPhase or project. The activityName param can be used to track time against adhoc activities. Providing multiple sources as input will result in an error. This API returns the created time entry object.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
includeFields
array of strings

This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.

includeFields
boolean

This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

Body Params
string
required

Date of the time entry in format YYYY-MM-DD

int32
required
1 to 1440

Duration of the time entry in minutes

string

Name of the adhoc activity being performed

project
object

Project associated with the time entry

task
object

Task associated with the time entry

projectPhase
object

Project phase associated with the time entry

boolean
Defaults to true

Whether the time entry is billable. Defaults to true

user
object

User associated with the time entry

string

Notes for the time entry

category
object

Category associated with the time entry

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json